Create a field definition
- Base URL
-
https://{kibana_url}
- POST /api/cases/field_definitions
- POST /s/{space_id}/api/cases/field_definitions
Creates a field definition in the field library. You must have the "Manage templates" sub-privilege for the Cases feature of the owning solution. Requires the Cases feature to be enabled in the space. Use dry_run=true to validate the request without writing anything.
Responses
The request body is invalid, the YAML definition is malformed, the name does not match the YAML definition's name, or the owner already has 200 field definitions.
Authorization information is missing or invalid.
The user does not have the manage templates privilege for the owner.